Package com.sun.jna.platform.win32

# Class NtDllUtil

java.lang.Object
com.sun.jna.platform.win32.NtDllUtil

public abstract class NtDllUtil extends Object
NtDll Utility API.

Author:
  dblock[at]dblock.org

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NtDllUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getKeyName(WinReg.HKEY hkey)`
  Retrieve the name of an opened registry key.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NtDllUtil

    public NtDllUtil()

- ## Method Details

  - ### getKeyName

    public static String getKeyName(WinReg.HKEY hkey)
    Retrieve the name of an opened registry key.
    Parameters:
      `hkey` - Opened registry key.
    Returns:
      Basic key name, not including node information.